Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / BRepAlgo_Cut instruction

BRepAlgo_Cut instruction

BRepAlgo_Cut instruction
Saya Aldo 2005/12/07 18:18
Hello to everybody,
I need your suggestions about the following problem.

I am trying to create a simple panel with some borings on the upper face and along its edges using the following instructions:

// create the panel
TopoDS_Shape Box = BRepPrimAPI_MakeBox(610,610,20);

// for each borings:
// create the Cylinders at the origin of the
// coordinates system
TopoDS_Shape Cyl1 = BRepPrimAPI_MakeCylinder(10.,20.);

// move the cylinders to the correct position
gp_Trsf T;
T = gce_MakeTranslation(gp_Pnt(0.,0.,0.), gp_Pnt(0, 0, 0));
Cyl1 = BRepBuilderAPI_Transform(Cyl1, T, Standard_False);

// applay the cut operator
Box = BRepAlgo_Cut(Box, Cyl1);


The result of these instructions is not predictable because sometimes I get a "solid" where some of the lateral faces are missing.

I cannot understand if I am using the wrong instructions or there are some problems inside the OpenCascade library (e.g. I find a division by 0 not controlled in one of the polynomial functions).

Thanking you in advance for your help,

Best regards,
Aldo Saya
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map